a
  display inline-block
  color var(--color-mark)
  transition color var(--transition-duration-out) ease-in-out
  +hover()
    color var(--color-mark-dark)
    transition-duration var(--transition-duration-in)  
  &.link
    position relative
    text-decoration none
    +before()
      position absolute
      bottom 0
      right 0
      width 0
      height 1px
      background-color var(--color-mark)
      transition width var(--transition-duration-out) ease-in-out, background-color var(--transition-duration-out) ease-in-out
    +hover()
      +before()
        right auto
        left 0
        width 100%
        background-color var(--color-mark-dark)
        transition-duration var(--transition-duration-in)  
  &[href^='#']
    text-decoration-style dotted
    +before()
      display none
